iMapNode Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iMapNode Struct Reference

A node. More...

`#include <ivaria/mapnode.h>`

Inheritance diagram for iMapNode:

List of all members.

## Public Member Functions
virtual const csVector3 & | GetPosition () const =0
| Get the position of the node.
virtual iSector * | GetSector () const =0
| Get the sector of the node.
virtual const csVector3 & | GetXVector () const =0
| Get the x vector of the node.
virtual const csVector3 & | GetYVector () const =0
| Get the y vector of the node.
virtual const csVector3 & | GetZVector () const =0
| Get the z vector of the node.
virtual iObject * | QueryObject ()=0
| Get the iObject.
virtual void | SetPosition (const csVector3 &pos)=0
| Set the position of the node.
virtual void | SetSector (iSector *pSector)=0
| Set the sector of the node.
virtual void | SetXVector (const csVector3 &vec)=0
| Set the x vector of the node.
virtual void | SetYVector (const csVector3 &vec)=0
| Set the y vector of the node.
virtual void | SetZVector (const csVector3 &vec)=0
| Set the z vector of the node.

## Detailed Description

A node.

This is an iObject that is bound to a position and a sector in the world. Nodes are typically created from a map file using the <node> attribute.

Main creators of instances implementing this interface:

- The main loader creates instances of this internally.

Main ways to get pointers to this interface:

- scfQueryInterface() from iObject instances you get by calling iObject::GetIterator() on iObject instances you get from iSector::QueryObject().

Definition at line 44 of file mapnode.h.

## Member Function Documentation

virtual const csVector3& iMapNode::GetPosition | ( |  | ) | const`[pure virtual]`

Get the position of the node.

Implemented in csMapNode.

virtual iSector* iMapNode::GetSector | ( |  | ) | const`[pure virtual]`

Get the sector of the node.

Implemented in csMapNode.

virtual const csVector3& iMapNode::GetXVector | ( |  | ) | const`[pure virtual]`

Get the x vector of the node.

Implemented in csMapNode.

virtual const csVector3& iMapNode::GetYVector | ( |  | ) | const`[pure virtual]`

Get the y vector of the node.

Implemented in csMapNode.

virtual const csVector3& iMapNode::GetZVector | ( |  | ) | const`[pure virtual]`

Get the z vector of the node.

Implemented in csMapNode.

virtual iObject* iMapNode::QueryObject | ( |  | ) | `[pure virtual]`

Get the iObject.

Implemented in csMapNode.

virtual void iMapNode::SetPosition | ( | const csVector3 & | pos | ) | `[pure virtual]`

Set the position of the node.

Implemented in csMapNode.

virtual void iMapNode::SetSector | ( | iSector * | pSector | ) | `[pure virtual]`

Set the sector of the node.

Implemented in csMapNode.

virtual void iMapNode::SetXVector | ( | const csVector3 & | vec | ) | `[pure virtual]`

Set the x vector of the node.

Implemented in csMapNode.

virtual void iMapNode::SetYVector | ( | const csVector3 & | vec | ) | `[pure virtual]`

Set the y vector of the node.

Implemented in csMapNode.

virtual void iMapNode::SetZVector | ( | const csVector3 & | vec | ) | `[pure virtual]`

Set the z vector of the node.

Implemented in csMapNode.

The documentation for this struct was generated from the following file:

- ivaria/mapnode.h